﻿<%@ Page Language="C#" MasterPageFile="~/Themes/Fantasy/Views/Shared/Site.Master" AutoEventWireup="true" Inherits="System.Web.Mvc.ViewPage" %>
<asp:Content ID="content" ContentPlaceHolderID="MainContent" runat="server">

<%
	var user = (MembershipUser)ViewData["User"];
	var allRoles = (IList)ViewData["AllRoles"];
	var usersRoles = (IList)ViewData["UsersRoles"];
%>
<h2 class="MvcMembership">User Details For "<% =user.UserName %>"</h2>
<h3 class="MvcMembership"><% =Html.ActionLink( "<< Return to Membership Administration", "Index", "MembershipAdministration" )%></h3>

<% using( Html.BeginForm( "SaveExistingUser", "MembershipAdministration" ) ){ %>
<fieldset class="MvcMembership">
	<legend>User's Details</legend>

	<div>
	<label>User Name</label>
	<div><% =user.UserName %></div>
	<% =Html.Hidden( "UserName", user.UserName ) %>
	</div>

	<div>
	<label>Provider User Key</label>
	<div><% =user.ProviderUserKey %></div>
	</div>

	<div>
	<label for="Email">Email Address</label>
	<% =Html.TextBox( "Email", user.Email, new { size = 32, maxlength = 256 } ) %>
	</div>

	<div>
	<label for="Comment">Comment</label>
	<% =Html.TextBox( "Comment", user.Comment, new { size = 32, maxlength = 256 } )%>
	</div>

	<div>
	<label for="IsApproved">Is Approved</label>
	<div><input type="checkbox" id="IsApproved" name="IsApproved" <% =user.IsApproved ? "checked=\"checked\"" : "" %> /></div>
	</div>

	<hr />

	<div>
	<label>Created</label>
	<div><% =user.CreationDate.ToString( "M/d/yyyy h:mm:ss tt" )%></div>
	</div>

	<div>
	<label>Last Login</label>
	<div><% =user.CreationDate != user.LastLoginDate ? user.LastLoginDate.ToString( "M/d/yyyy h:mm:ss tt" ) : "Never Logged In" %></div>
	</div>

	<div>
	<label>Last Activity</label>
	<div><% =user.CreationDate != user.LastActivityDate ? user.LastActivityDate.ToString( "M/d/yyyy h:mm:ss tt" ) : "Never Active" %> (<% =user.IsOnline ? "Online" : "Offline" %>)</div>
	</div>

	<div>
	<label>Last Lockout</label>
	<div><% =( user.LastLockoutDate == DateTime.MinValue ? user.LastLockoutDate.ToString( "M/d/yyyy h:mm:ss tt" ) : "Never Locked Out" ) %></div>
	<% if( user.IsLockedOut ){ %>
	<div><% =Html.ActionLink( "(Unlock User)", "UnlockUser", "MembershipAdministration", new { id=(Guid)user.ProviderUserKey }, null )%></div>
	<% } %>
	</div>

	<div><input type="submit" value="Update User Details" /></div>

</fieldset>
<% } %>

<% if ((bool)ViewData["RolesEnabled"]) { %>
<fieldset class="MvcMembership">
	<legend>User's Roles</legend>

	<% if( ((IList)ViewData["AllRoles"]).Count > 0 ){ %>
	<% foreach( string role in allRoles ){ %>
	<div>
		<% if( usersRoles.Contains(role) ){ %>
		(<% =Html.ActionLink("-", "RemoveUserFromRole", "MembershipAdministration", new { userName = (string)user.UserName, roleName = role }, null)%>)
		<% }else{ %>
		(<% =Html.ActionLink("+", "AddUserToRole", "MembershipAdministration", new { userName = (string)user.UserName, roleName = role }, null)%>)
		<% } %>
		<% =Html.ActionLink( role, "Role", "MembershipAdministration", new { id=role }, null )%>
	</div>
	<% } %>
	<% }else{ %>
	<div>No roles have been added to the system yet.</div>
	<% } %>

</fieldset>
<% } %>

<% using( Html.BeginForm( "ResetPassword", "MembershipAdministration" ) ){ %>
<fieldset class="MvcMembership">
	<legend>Reset User's Password</legend>

	<% =Html.Hidden( "UserName", user.UserName ) %>

	<div>
	<label>Last Password Change</label>
	<div><% =user.CreationDate != user.LastPasswordChangedDate ? user.LastPasswordChangedDate.ToString( "M/d/yyyy h:mm:ss tt" ) : "Never Changed Password" %></div>
	</div>

	<div>
	<label>Password Question</label>
	<% if( !string.IsNullOrEmpty( user.PasswordQuestion) ){ %>
	<div><% =user.PasswordQuestion %></div>
	<% }else{ %>
	<div><em>No password question set.</em></div>
	<% } %>
	</div>

	<div>
	<label for="PasswordAnswer">Password Answer</label>
	<% =Html.TextBox("PasswordAnswer", null, new { size = 32, maxlength = 128 })%>
	</div>

	<div><input type="submit" value="Reset Password" /></div>

</fieldset>
<% } %>

<% using( Html.BeginForm( "ChangePassword", "MembershipAdministration" ) ){ %>
<fieldset class="MvcMembership">
	<legend>Change User's Password</legend>

	<% =Html.Hidden( "UserName", user.UserName ) %>

	<div>
	<label>Last Password Change</label>
	<div><% =user.CreationDate != user.LastPasswordChangedDate ? user.LastPasswordChangedDate.ToString( "M/d/yyyy h:mm:ss tt" ) : "Never Changed Password" %></div>
	</div>

	<div>
	<label for="OldPassword">Old Password</label>
	<% =Html.Password( "OldPassword", null, new { size = 32 } ) %>
	</div>

	<div>
	<label for="NewPassword">New Password</label>
	<% =Html.Password( "NewPassword", null, new { size = 32 } ) %>
	</div>

	<div>
	<label for="NewPasswordConfirm">Confirm New Password</label>
	<% =Html.Password( "NewPasswordConfirm", null, new { size = 32 } ) %>
	</div>

	<div><input type="submit" value="Change Password" /></div>

</fieldset>
<% } %>

<fieldset class="MvcMembership">
	<legend>Permanently Delete User</legend>
	<p><% =Html.ActionLink( "Delete User", "DeleteUser", "MembershipAdministration", new{ userName = (string)user.UserName }, null ) %> (This action cannot be undone.)</p>
</fieldset>

</asp:Content>