﻿<%@ Page Language="C#" MasterPageFile="~/Themes/Fantasy/Views/Shared/Site.Master" AutoEventWireup="true" Inherits="System.Web.Mvc.ViewPage" %>
<asp:Content ID="content" ContentPlaceHolderID="MainContent" runat="server">
<% var users = (ViewData["Users"] as List<MembershipUser>); %>
<h2 class="MvcMembership" style="margin-bottom: 20px;">Membership Administration</h2>

<fieldset class="MvcMembership">
	<legend>Users</legend>

	<% if( users != null && users.Count > 0 ){ %>
	<p>All of the application's users are listed below. <% =Html.ActionLink( "Click here to create a new user.", "CreateUser" ) %></p>
	<ol>
		<% foreach( var user in users ){ %>
		<li><% =Html.ActionLink(user.UserName, "UserDetails", "MembershipAdministration", new { username= (string)user.UserName }, null)%></li>
		<% } %>
	</ol>
	<% }else{ %>
	<p>No users have been entered into the system yet. <% =Html.ActionLink( "Create a new user.", "CreateUser" ) %></p>
	<% } %>

</fieldset>

<fieldset class="MvcMembership">
	<legend>Roles</legend>

	<% if( (ViewData["Roles"] as List<string>).Count > 0 ){ %>
	<ul>
	<% foreach( string role in (ViewData["Roles"] as List<string>) ){ %>
		<li><% =Html.ActionLink( role, "Role", "MembershipAdministration", new { id=role }, null )%> (<% =Html.ActionLink( "Delete", "DeleteRole", "MembershipAdministration", new{ id=role }, null ) %>)</li>
	<% } %>
	</ul>
	<% }else{ %>
	<div>No roles have been added to the system yet.</div>
	<% } %>

</fieldset>

<% using( Html.BeginForm( "CreateRole", "MembershipAdministration" ) ){ %>
<fieldset class="MvcMembership">
	<legend>Create Role</legend>

	<div>
	<label for="role">Role</label>
	<% =Html.TextBox( "role", null, new { size = 32, maxlength = 32}) %>
	</div>

	<div><input type="submit" value="Add Role" /></div>

</fieldset>
<% } %>


</asp:Content>